Bug 106682 - Chromium: Error in AccessibilityUIElement::intValueGetterCallback
Summary: Chromium: Error in AccessibilityUIElement::intValueGetterCallback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Mazzoni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 11:31 PST by James Craig
Modified: 2013-01-14 13:40 PST (History)
3 users (show)

See Also:


Attachments
Patch (3.77 KB, patch)
2013-01-12 00:27 PST, Dominic Mazzoni
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2013-01-11 11:31:21 PST
See comment #4 on 106243:
https://bugs.webkit.org/show_bug.cgi?id=106243#c4

> test looks like its failing on chromium because they implement intValue() as 
> void AccessibilityUIElement::intValueGetterCallback(CppVariant* result)
> {
>     result->set(accessibilityObject().valueForRange());
> }
> 
> and we do something different.
> 
> I would skip this test in LayoutTests/platform/chromium/TestExpectations and make a bug for chromium to resolve this intValue() difference and assign to Dominic
Comment 1 Dominic Mazzoni 2013-01-12 00:27:00 PST
Created attachment 182460 [details]
Patch
Comment 2 WebKit Review Bot 2013-01-14 13:40:12 PST
Comment on attachment 182460 [details]
Patch

Clearing flags on attachment: 182460

Committed r139658: <http://trac.webkit.org/changeset/139658>
Comment 3 WebKit Review Bot 2013-01-14 13:40:15 PST
All reviewed patches have been landed.  Closing bug.